Resolution: Fixed Affected version:

Description

A clean install of redmine 0.7 using Apache 2.2 and passenger (mod_rails) causes an Internal Server Error (500) on first connect.
The problem lies here:

1. /N FAILSAFE /\ Sat May 10 09:02:06 -0400 2008
Status: 500 Internal Server Error
Permission denied - /var/data/redmine/tmp/sessions//ruby_sess.c7ddbaf898e57714

A second issue is also present, but may not cause a failure:

2. [notice] Apache/2.2.3 (CentOS) configured -- resuming normal operations
[26010:Hooks.cpp:400] Processing HTTP request: /

Rails Error: Unable to access log file. Please ensure that /var/data/redmine/log
/production.log exists and is chmod 0666. The log level has been raised to WARN
and the output directed to STDERR until the problem is fixed.

The quick fix is to simply change the permissions on production.log as advised and apply the same to the redmine/tmp directory. A
note to this effect should be made to the installation guide.

| wonder at the choice of the filestore session control though. Surely this should either be a cookie store or in a database table?

History

#1 - 2008-05-13 11:25 - Thomas Lecavelier

- Target version changed from 0.7 to 0.8

(Messed the roadmap)

#2 - 2008-06-15 12:05 - Jean-Philippe Lang
- Category deleted (Permissions and roles)

- Status changed from New to Closed

- Target version deleted (0.8)

- Resolution set to Fixed

"Setting up permissions” added in Redminelnstall.
